#

API Docs for:
Show: Inherited Protected Private Deprecated

# AreaSeries Class

Defined in: `input/charts/AreaSeries.js:1`
Module: charts

The AreaSeries class renders quantitative data on a graph by creating a fill between 0 and the relevant data points.

- Index
- Methods
- Attributes

## Item Index

### Methods

- _getDefaultStyles
- _setStyles
- drawSeries

### Attributes

- styles
- type

## Methods

### `_getDefaultStyles`

() protected

Defined in `input/charts/AreaSeries.js:42`

#### Returns:

Object

### `_setStyles`

(

- `newStyles`

)
protected

Defined in `input/charts/AreaSeries.js:24`

#### Parameters:

- `newStyles` Object

  Hash of properties to update.

#### Returns:

Object

### `drawSeries`

() protected

Defined in `input/charts/AreaSeries.js:12`

## Attributes

### `styles`

Object

Defined in `input/charts/AreaSeries.js:70`

Style properties used for drawing area fills. This attribute is inherited from `Renderer`. Below are the default values:

color
  The color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the following array: `["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]`
alpha
  Number between 0 and 1 that indicates the opacity of the fill. The default value is 1

### `type`

String

Defined in `input/charts/AreaSeries.js:59`

Read-only attribute indicating the type of series.

Default: area